Package com.google.android.exoplayer2.ext.ima

## Class ImaServerSideAdInsertionMediaSource.AdsLoader.State

- java.lang.Object
- - com.google.android.exoplayer2.ext.ima.ImaServerSideAdInsertionMediaSource.AdsLoader.State

- All Implemented Interfaces:
    `Bundleable`
  Enclosing class:
    ImaServerSideAdInsertionMediaSource.AdsLoader

      public static class ImaServerSideAdInsertionMediaSource.AdsLoader.State
      extends Object
      implements Bundleable

  The state of the `ImaServerSideAdInsertionMediaSource.AdsLoader` that can be used when resuming from the background.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Bundleable.Creator<ImaServerSideAdInsertionMediaSource.AdsLoader.State>` | `CREATOR` | Object that can restore `ImaServerSideAdInsertionMediaSource.AdsLoader.State` from a `Bundle`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `Bundle` | `toBundle()` | Returns a `Bundle` representing the information stored in this object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final Bundleable.Creator<ImaServerSideAdInsertionMediaSource.AdsLoader.State> CREATOR

      Object that can restore `ImaServerSideAdInsertionMediaSource.AdsLoader.State` from a `Bundle`.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toBundle

          public Bundle toBundle()

      Description copied from interface: `Bundleable`
      Returns a `Bundle` representing the information stored in this object.
      Specified by:
        `toBundle` in interface `Bundleable`